Bug 1434008 - Create /usr/share/metainfo/ directory in filesystem package
Summary: Create /usr/share/metainfo/ directory in filesystem package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-20 14:21 UTC by Kalev Lember
Modified: 2017-05-11 08:24 UTC (History)
1 user (show)

Fixed In Version: filesystem-3.3-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-11 08:18:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Kalev Lember 2017-03-20 14:21:09 UTC
As per appstream spec, /usr/share/metainfo/ is a successor to the /usr/share/appdata/ directory and the preferred location for installing appdata files. More and more packages are getting changed upstream to use the new location.

The filesystem package already owns the /usr/share/appdata/ directory. Please add /usr/share/metainfo/ as well so that individual packages wouldn't need to create it.

Comment 1 Ondrej Vasik 2017-03-21 05:13:25 UTC
Ok, makes sense...

Comment 2 Ondrej Vasik 2017-05-11 08:18:53 UTC
Forgot to close this one in March...

Comment 3 Kalev Lember 2017-05-11 08:24:43 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.